aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJackie Huang <jackie.huang@windriver.com>2016-07-25 21:54:57 -0400
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-07-28 21:30:16 +0100
commitbb44ef79c1ea9fb1d2e37978bcf964e62caaf4cd (patch)
tree130fe88c02828ba72ebe1371fdbdeb9040ee13b5
parenteeb0a912145f8f849d56c04e38616d12ca8be21e (diff)
downloadopenembedded-core-contrib-bb44ef79c1ea9fb1d2e37978bcf964e62caaf4cd.tar.gz
openembedded-core-contrib-bb44ef79c1ea9fb1d2e37978bcf964e62caaf4cd.tar.bz2
openembedded-core-contrib-bb44ef79c1ea9fb1d2e37978bcf964e62caaf4cd.zip
avahi-ui: use PACKAGECONFIG for gtk features
The commit "054ea20 avahi-ui: Build with Gtk+3" enabled gtk3 and disabled gtk2, which causes failure on some package depends on gtk2, like gnome-disk-utility in meta-openembedded/meta-gnome: | checking for GTK2... yes | checking for AVAHI_UI... no | configure: error: Package requirements (avahi-ui >= 0.6.25) were not met: | | No package 'avahi-ui' found The gtk2 and gtk3 feature for avahi-ui is not exclusive, so change to use PACKAGECONFIG for them so we can easily enable/disable one of them or both of them as needed. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
-rw-r--r--meta/recipes-connectivity/avahi/avahi-ui_0.6.32.bb4
-rw-r--r--meta/recipes-connectivity/avahi/avahi.inc10
2 files changed, 9 insertions, 5 deletions
diff --git a/meta/recipes-connectivity/avahi/avahi-ui_0.6.32.bb b/meta/recipes-connectivity/avahi/avahi-ui_0.6.32.bb
index c6f67f1eca6..ac364618e47 100644
--- a/meta/recipes-connectivity/avahi/avahi-ui_0.6.32.bb
+++ b/meta/recipes-connectivity/avahi/avahi-ui_0.6.32.bb
@@ -13,9 +13,9 @@ SRC_URI += "file://0001-configure.ac-install-GtkBuilder-interface-files-for-.pat
SRC_URI[md5sum] = "22b5e705d3eabb31d26f2e1e7b074013"
SRC_URI[sha256sum] = "d54991185d514a0aba54ebeb408d7575b60f5818a772e28fa0e18b98bc1db454"
-DEPENDS += "avahi gtk+3"
+DEPENDS += "avahi"
-AVAHI_GTK = "--disable-gtk --enable-gtk3 --disable-pygtk"
+AVAHI_GTK = "gtk3"
S = "${WORKDIR}/avahi-${PV}"
diff --git a/meta/recipes-connectivity/avahi/avahi.inc b/meta/recipes-connectivity/avahi/avahi.inc
index 340b3e601fc..234646d291f 100644
--- a/meta/recipes-connectivity/avahi/avahi.inc
+++ b/meta/recipes-connectivity/avahi/avahi.inc
@@ -23,8 +23,14 @@ SRC_URI = "https://github.com/lathiat/avahi/releases/download/v${PV}/avahi-${PV}
"
UPSTREAM_CHECK_URI = "https://github.com/lathiat/avahi/releases/"
-PACKAGECONFIG ??= "dbus"
+# For gtk related PACKAGECONFIGs: gtk, gtk3 and pygtk
+AVAHI_GTK ?= ""
+
+PACKAGECONFIG ??= "dbus ${AVAHI_GTK}"
PACKAGECONFIG[dbus] = "--enable-dbus,--disable-dbus,dbus"
+PACKAGECONFIG[gtk] = "--enable-gtk,--disable-gtk,gtk+"
+PACKAGECONFIG[gtk3] = "--enable-gtk3,--disable-gtk3,gtk+3"
+PACKAGECONFIG[pygtk] = "--enable-pygtk,--disable-pygtk,"
USERADD_PACKAGES = "avahi-daemon avahi-autoipd"
USERADD_PARAM_avahi-daemon = "--system --home /var/run/avahi-daemon \
@@ -51,14 +57,12 @@ EXTRA_OECONF = "--with-avahi-priv-access-group=adm \
--disable-manpages \
${EXTRA_OECONF_SYSVINIT} \
${EXTRA_OECONF_SYSTEMD} \
- ${AVAHI_GTK} \
"
# The distro choice determines what init scripts are installed
EXTRA_OECONF_SYSVINIT = "${@bb.utils.contains('DISTRO_FEATURES','sysvinit','--with-distro=debian','--with-distro=none',d)}"
EXTRA_OECONF_SYSTEMD = "${@bb.utils.contains('DISTRO_FEATURES','systemd','--with-systemdsystemunitdir=${systemd_unitdir}/system/','--without-systemdsystemunitdir',d)}"
-AVAHI_GTK ?= "--disable-gtk --disable-gtk3"
LDFLAGS_append_libc-uclibc = " -lintl"
LDFLAGS_append_uclinux-uclibc = " -lintl"